<?php

namespace App\Console\Commands;
use Illuminate\Console\Command;
use App\Models\CertificateModel;
use Illuminate\Support\Facades\Storage;

class SendEmail extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'send:send_email {--uri=}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Send Email';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $id = $this->option("uri");
        $datamain = CertificateModel::find($id);
        $subject = env('APP_NAME');
        
        $first_name = $datamain->first_name;
        $last_name = $datamain->last_name;
        $amount = $datamain->amount;
        $to = $datamain->email;

        $mailbody = view('send_mail', compact('first_name','last_name','amount'));
        $url_attach = "/home/dxbitprojects/public_html/royalmetafx/public".(Storage::disk('local')->url('pdfs/'.$datamain->file));
        
        send_email($to, $subject, $mailbody,$url_attach);
    }
}
