<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Aws\MediaConvert\MediaConvertClient;
use Aws\Credentials\CredentialProvider;
use Aws\Exception\AwsException;
use Illuminate\Support\Facades\Storage;
use DB,Validator;
use PDF;
use App\Models\CertificateModel;
use Aws\MediaConvert\Exception\MediaConvertException as MediaConvertError;


class CommonController extends Controller {
    
    private $mediaConvertClient;

    public function submit_form(Request $request)
    {
        $status = "0";
        $message = "";
        $o_data = [];
        $errors = [];
        $redirectUrl = '';

        $validator = Validator::make($request->all(), [
            'first_name' => 'required',
            'last_name' => 'required',
            'amount' => 'required',
        ]);
        if (!empty($request->password)) {
            $validator = Validator::make($request->all(), [
                'first_name' => 'required',
            ]);
        }
        if ($validator->fails()) {
            $status = "0";
            $message = "Validation error occured";
            $errors = $validator->messages();
        } else {
            $email = $request->email;
            $first_name = $request->first_name; 
            $last_name = $request->last_name; 
            $amount = $request->amount; 


            $data = [
                'first_name' => $request->first_name,
                'last_name' => $request->last_name,
                'amount' => $request->amount
            ]; 
                  
            $pdf = PDF::loadView('pdf_view', $data);
           
            $pdfContent = $pdf->output();
            
            $rand = rand(1000000, 9999999);
               // Choose a storage disk (e.g., 'local') and path to save the PDF
               $storagePath = 'public/pdfs/'.$rand.'.pdf'; // Replace with your desired path

                // Store the PDF content in the specified path
             Storage::disk('local')->put($storagePath, $pdfContent);
             
            $datain = new CertificateModel;
            $datain->email = $email;
            $datain->first_name = $first_name;
            $datain->last_name = $last_name;
            $datain->amount = $amount;
            $datain->file = $rand.".pdf";
            $datain->created_at = gmdate('Y-m-d H:i:s');
            $datain->save();

            
            if(!empty($email))
            {
               if (env('APP_ENV') == 'local') {
                            \Artisan::call("send:send_email --uri=" . $datain->id);
               } else {
                            exec("php " . base_path() . "/artisan send:send_email --uri=" . $datain->id. " > /dev/null 2>&1 & ");
               }
    
                    }
           
                    
            $status = "1";
            $message = "Send successfully";

        }
        echo json_encode(['status' => $status, 'message' => $message, 'errors' => $errors]);
    }

}